org.eclipse.emf.cdo.server.objectivity

## Interface IObjectivityStoreConfig

- All Superinterfaces:
    java.io.Serializable

      public interface IObjectivityStoreConfig
      extends java.io.Serializable

  Encapsulates Objectivity-specific back-end configuration settings.
  Author:
    Ibrahim Sallam
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFdName()`
    `int` | `getLogOption()`
    `java.lang.String` | `getLogPath()`
    `int` | `getSessionMaxCacheSize()`
    `int` | `getSessionMinCacheSize()`
    `void` | `resetFD()`

- - ### Method Detail

    - #### getFdName

          java.lang.String getFdName()

    - #### resetFD

          void resetFD()

    - #### getSessionMinCacheSize

          int getSessionMinCacheSize()

    - #### getSessionMaxCacheSize

          int getSessionMaxCacheSize()

    - #### getLogPath

          java.lang.String getLogPath()

      Since:
        4.0

    - #### getLogOption

          int getLogOption()

      Since:
        4.0

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html